#!/usr/bin/env python
# Parallel Python setup script
# For the latest version of the Parallel Python software visit: http://www.parallelpython.com
from distutils.core import setup

LONG_DESCRIPTION = """
Parallel python module (pp) provides an easy and efficient way to create parallel-enabled applications for SMP computers and clusters. pp module features cross-platform portability and dynamic load balancing. Thus application written with pp will parallelize efficiently even on heterogeneous and multi-platform clusters (including clusters running other application with variable CPU loads). Visit http://www.parallelpython.com for further information.
"""

setup(
        name="pp",
        version="1.4.1",
        url="http://www.parallelpython.com",
        author="Vitalii Vanovschi",
        author_email="support@parallelpython.com",
        py_modules=["ppworker", "ppserver", "pptransport", "pp"],
        description="Parallel and distributed programming for Python",
        platforms=["Windows", "Linux", "Unix"],
        long_description=LONG_DESCRIPTION,
        license="BSD-like",
        classifiers=[
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: System :: Distributed Computing",
        "Programming Language :: Python",
        "Operating System :: OS Independent",
        "License :: OSI Approved :: BSD License", 
        "Natural Language :: English",
        "Intended Audience :: Developers",
        ],
)

